## kaffeine 2.0.14

=== CMakeLists.txt ===
project(kaffeine)

set(KAFFEINE_MAJOR_VERSION 2)
set(KAFFEINE_MINOR_VERSION 0)
set(KAFFEINE_PATCH_VERSION 14)

# comment/uuncomment below if either the version is a production or a development one
#set(KAFFEINE_EXTRA_VERSION -git)

set(KAFFEINE_VERSION
  ${KAFFEINE_MAJOR_VERSION}.${KAFFEINE_MINOR_VERSION}.${KAFFEINE_PATCH_VERSION}${KAFFEINE_EXTRA_VERSION})

option(BUILD_TOOLS "Build the helper tools" OFF)

# Minimal versions where build is known to work
cmake_minimum_required(VERSION 2.8.12)
set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.11.0")

# shut up cmake warnings about newer policies
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif(POLICY CMP0063)

## workaround for ki18n 5.34.0++ changes (see BUG 379834)
if(POLICY CMP0002)
  cmake_policy(SET CMP0002 OLD)
endif(POLICY CMP0002)

find_package(Qt5Core)
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
	${ECM_MODULE_PATH}
	${ECM_KDE_MODULE_DIR}
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(CheckIncludeFiles)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Find Qt modules
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
	Core    # QCommandLineParser, QStringLiteral
	Widgets # QApplication
	Network
	Sql
	X11Extras
)

# Find KDE modules
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
	CoreAddons      # KAboutData
	I18n            # KLocalizedString
	WidgetsAddons   # KMessageBox
	WindowSystem	# KStartupInfo
	XmlGui		# KActonCollection
	KIO		# KFileWidget
	Solid
	DBusAddons
)
find_package(KF5DocTools ${KF5_MIN_VERSION} QUIET)

find_package(X11 REQUIRED)
find_package(VLC 1.2 REQUIRED)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${VLC_INCLUDE_DIRS}
                    ${X11_Xscreensaver_INCLUDE_PATH})

check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)

if(NOT HAVE_DVB)
  MESSAGE(STATUS "Disabled features:\nDVB  Digital television support for Linux\n")
  set(HAVE_DVB 0)
else()
  set(HAVE_DVB 1)
endif(NOT HAVE_DVB)

if(HAVE_DVB)
  find_package(Libdvbv5)
  if(NOT Libdvbv5_FOUND)
    set(HAVE_LIBDVBV5 0)
    set(HAVE_DVB 0)
    message(STATUS "Disabled features:\nDVB  Digital television support for Linux, as libdvbv5 was not found.\n")
  endif(NOT Libdvbv5_FOUND)
endif(HAVE_DVB)

add_subdirectory(deviceactions)
add_subdirectory(icons)
add_subdirectory(profiles)
add_subdirectory(src)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/CMakeLists.txt" )
    add_subdirectory(po)
  else()
    ki18n_install(po)
  endif()
endif()

if(KF5DocTools_VERSION)
  add_subdirectory(doc)
endif(KF5DocTools_VERSION)

if(BUILD_TOOLS)
  add_subdirectory(tools)
endif(BUILD_TOOLS)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== debian/changelog ===
kaffeine (2.0.14-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879307)

  [ Pino Toscano ]
  * New upstream release:
    - resets the colors in terminal output (Closes: #829370)
  * Bump Standards-Version to 4.1.3, no changes required.
  * Add the iso-codes dependency, needed for language codes.
  * Use https in the watch file.
  * Bump the libkf5doctools-dev build dependency to >= 5.41.0, since the pt_BR
    docbooks use entities available since that version.
  * Explicitly add the pkg-config build dependency.
  * Add the linux-only libudev-dev build dependency, to workaround a missing
    dependency in libdvbv5-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Feb 2018 09:41:24 +0100

=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Michael Meskes <meskes@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
 pkg-config,
 extra-cmake-modules (>= 1.0.0),
 qtbase5-dev (>= 5.4.0),
 libqt5x11extras5-dev (>= 5.4.0),
 libkf5coreaddons-dev (>= 5.11.0),
 libkf5doctools-dev (>= 5.41.0~),
 libkf5dbusaddons-dev (>= 5.11.0),
 libkf5i18n-dev (>= 5.11.0),
 libkf5kio-dev (>= 5.11.0),
 libkf5solid-dev (>= 5.11.0),
 libkf5widgetsaddons-dev (>= 5.11.0),
 libkf5windowsystem-dev (>= 5.11.0),
 libkf5xmlgui-dev (>= 5.11.0),
 libvlc-dev,
 libx11-dev, libxss-dev,
 libdvbv5-dev [linux-any], libudev-dev [linux-any],
Standards-Version: 4.1.3
Homepage: http://kaffeine.kde.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaffeine.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kaffeine.git

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kinit,
 iso-codes,
 libqt5sql5-sqlite,
 vlc-plugin-base, vlc-plugin-video-output
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE based on VLC, which gives it a wide variety
 of supported media types and lets Kaffeine access CDs, DVDs, and network
 streams easily.  Kaffeine also has an excellent support of digital TV (DVB).
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

## kaffeine 2.0.15

=== src/CMakeLists.txt ===
if(Libdvbv5_FOUND)
  include_directories(${Libdvbv5_INCLUDE_DIRS})
endif(Libdvbv5_FOUND)

qt5_add_resources(RESOURCE_ADDED kaffeine.qrc)

set(kaffeine_SRCS
    kaffeine.qrc
    backend-vlc/vlcmediawidget.cpp
    playlist/playlistmodel.cpp
    playlist/playlisttab.cpp
    abstractmediawidget.cpp
    configuration.cpp
    configurationdialog.cpp
    datetimeedit.cpp
    dbusobjects.cpp
    ensurenopendingoperation.cpp
    main.cpp
    mainwindow.cpp
    mediawidget.cpp
    osdwidget.cpp
    sqlhelper.cpp
    sqlinterface.cpp)

if(HAVE_DVB)
  set(kaffeinedvb_SRCS
      iso-codes.cpp
      dvb/dvbcam_linux.cpp
      dvb/dvbchannel.cpp
      dvb/dvbchanneldialog.cpp
      dvb/dvbconfigdialog.cpp
      dvb/dvbdevice.cpp
      dvb/dvbdevice_linux.cpp
      dvb/dvbepg.cpp
      dvb/dvbepgdialog.cpp
      dvb/dvbliveview.cpp
      dvb/dvbmanager.cpp
      dvb/dvbrecording.cpp
      dvb/dvbrecordingdialog.cpp
      dvb/dvbscan.cpp
      dvb/dvbscandialog.cpp
      dvb/dvbsi.cpp
      dvb/dvbtab.cpp
      dvb/dvbtransponder.cpp)
endif(HAVE_DVB)

configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

add_executable(kaffeine ${kaffeinedvb_SRCS} ${kaffeine_SRCS})
target_link_libraries(kaffeine Qt5::Sql Qt5::X11Extras KF5::XmlGui KF5::I18n KF5::Solid
		      KF5::KIOCore KF5::KIOFileWidgets KF5::WindowSystem
		      KF5::DBusAddons ${X11_Xscreensaver_LIB} ${VLC_LIBRARY})

if(HAVE_DVB)
    target_link_libraries(kaffeine ${Libdvbv5_LIBRARIES})
endif(HAVE_DVB)

install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
install(PROGRAMS org.kde.kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.kaffeine.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mark Purcell <msp@debian.org>,
            Michael Meskes <meskes@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
  pkg-config,
  extra-cmake-modules (>= 1.0.0),
  qtbase5-dev (>= 5.4.0),
@@ -22,10 +22,10 @@
  libvlc-dev,
  libx11-dev, libxss-dev,
  libdvbv5-dev [linux-any], libudev-dev [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://kaffeine.kde.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kaffeine.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kaffeine.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaffeine
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaffeine.git
 
 Package: kaffeine
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_strip:
	dh_strip --dbgsym-migration='kaffeine-dbg (<< 1.2.2-4~)'

.PHONY: override_dh_auto_test

## kaffeine 2.0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(KAFFEINE_MAJOR_VERSION 2)
 set(KAFFEINE_MINOR_VERSION 0)
-set(KAFFEINE_PATCH_VERSION 14)
+set(KAFFEINE_PATCH_VERSION 18)
 
 # comment/uuncomment below if either the version is a production or a development one
 #set(KAFFEINE_EXTRA_VERSION -git)

=== deviceactions/CMakeLists.txt ===
set(solid_actions
    kaffeine_play_audiocd.desktop
    kaffeine_play_dvd.desktop
    kaffeine_play_videocd.desktop)

install(FILES ${solid_actions} DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

=== icons/CMakeLists.txt ===
# Auto-generated by ../tools/update_icons.sh
#
# Breeze Icons are developed by The KDE Visual Design Group.
# All icons are licensed under LGPL3+

ecm_install_icons(ICONS
	# This icon is a merge of Breeze audio-mp4.svg with lock.svg
	sc-actions-audio-radio-encrypted.svg
	# This icon is a merge of Breeze sc-devices-video-television.svg with lock.svg
	sc-actions-video-television-encrypted.svg

	# Those icons are copied as-is from Breeze theme

	sc-actions-arrow-left.svg
	sc-actions-arrow-right.svg
	sc-actions-configure.svg
	sc-actions-dialog-cancel.svg
	sc-actions-dialog-ok-apply.svg
	sc-actions-document-open-folder.svg
	sc-actions-document-save.svg
	sc-actions-edit-clear-list.svg
	sc-actions-edit-delete.svg
	sc-actions-edit-find.svg
	sc-actions-edit-rename.svg
	sc-actions-edit-undo.svg
	sc-actions-format-justify-center.svg
	sc-actions-go-jump.svg
	sc-actions-list-add.svg
	sc-actions-media-playback-pause.svg
	sc-actions-media-playback-start.svg
	sc-actions-media-playback-stop.svg
	sc-actions-media-record.svg
	sc-actions-media-skip-backward.svg
	sc-actions-media-skip-forward.svg
	sc-actions-page-zoom.svg
	sc-actions-player-time.svg
	sc-actions-text-speak.svg
	sc-actions-view-fullscreen.svg
	sc-actions-view-list-details.svg
	sc-actions-view-media-playlist.svg
	sc-actions-view-pim-calendar.svg
	sc-actions-view-refresh.svg
	sc-actions-view-restore.svg
	sc-apps-kaffeine.svg
	sc-devices-audio-card.svg
	sc-devices-media-optical-audio.svg
	sc-devices-media-optical.svg
	sc-devices-media-optical-video.svg
	sc-devices-video-television.svg
	sc-mimetypes-application-x-subrip.svg
	sc-mimetypes-text-html.svg
	sc-mimetypes-video-x-generic.svg
	sc-places-start-here-kde.svg
	sc-status-audio-volume-high.svg
	sc-status-audio-volume-low.svg
	sc-status-audio-volume-medium.svg
	sc-status-audio-volume-muted.svg
	sc-status-dialog-error.svg
	sc-status-dialog-information.svg
	DESTINATION ${ICON_INSTALL_DIR}
)

=== profiles/CMakeLists.txt ===
set(kdelirc_profiles
    kaffeine.profile.xml)

install(FILES ${kdelirc_profiles} DESTINATION ${DATA_INSTALL_DIR}/profiles)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,8 @@
       dvb/dvbscandialog.cpp
       dvb/dvbsi.cpp
       dvb/dvbtab.cpp
-      dvb/dvbtransponder.cpp)
+      dvb/dvbtransponder.cpp
+      dvb/xmltv.cpp)
 endif(HAVE_DVB)
 
 configure_file(config-kaffeine.h.cmake ${CMAKE_BINARY_DIR}/config-kaffeine.h)

=== debian/changelog ===
kaffeine (2.0.18-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream-Fix-breakages-with-qt5.11-rc2.patch: drop, backported
      from upstream
  * Update copyright.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kaffeine-dbg, no more needed after two Debian
    stable releases.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:34:42 +0200

kaffeine (2.0.15-2) unstable; urgency=medium

  * Update Vcs-* fields.
  * Backport upstream commit 06b78c5f24891fd38d25ed64f5029106eec7c4fb to fix
    build with Qt >= 5.11; patch upstream-Fix-breakages-with-qt5.11-rc2.patch.
    (Closes: #907228)
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Sep 2018 07:11:42 +0200

kaffeine (2.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 21:47:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,4 @@
 %:
 	dh $@ --with kf5
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='kaffeine-dbg (<< 1.2.2-4~)'
-
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=4

https://download.kde.org/stable/kaffeine/kaffeine-([\d.]+)\.tar\.xz

## kaffeine 2.0.18%2Bgit20230226.439cd0d

=== tools/CMakeLists.txt ===
add_executable(convertscanfiles convertscanfiles.cpp ../src/dvb/dvbtransponder.cpp)
add_executable(updatedvbsi updatedvbsi.cpp)
add_executable(updatemimetypes updatemimetypes.cpp)
add_executable(updatesource updatesource.cpp)

target_link_libraries(convertscanfiles Qt5::Core)
target_link_libraries(updatedvbsi Qt5::Core Qt5::Xml)
target_link_libraries(updatemimetypes Qt5::Core)
target_link_libraries(updatesource Qt5::Core)

=== debian/changelog ===
kaffeine (2.0.18+git20230226.439cd0d-1build3) noble; urgency=medium

  * update latest package 

 -- Markus Rechberger <mrechberger@gmail.com>  Mon, 22 Sep 2025 08:45:08 +0800

kaffeine (2.0.18+git20230226.439cd0d-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:46 +1100

kaffeine (2.0.18+git20230226.439cd0d-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:41:14 +0000

kaffeine (2.0.18+git20230226.439cd0d-1) unstable; urgency=medium

  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.
  * Switch Homepage to https://apps.kde.org/kaffeine/, as kaffeine.kde.org is
    gone.
  * Remove inactive Uploaders.
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Update watch file to fetch content from the upstream git repository, so
    it is possible to do a direct branch pull: the last release is more than
    3 years old at this point, and it starts to be better to pull the branch
    directly rather than cherry-picking fixes.
  * New upstream git snapshot:
    - fixes downloading of the scandata file (Closes: #1031959)
  * Add a simple upstream/metadata file.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Feb 2023 09:59:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: kaffeine
 Section: video
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Michael Meskes <meskes@debian.org>,
-           Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+ cmake, pkg-kde-tools (>= 0.15.16),
  pkg-config,
  extra-cmake-modules (>= 1.0.0),
  qtbase5-dev (>= 5.4.0),
@@ -22,8 +22,11 @@
  libvlc-dev,
  libx11-dev, libxss-dev,
  libdvbv5-dev [linux-any], libudev-dev [linux-any],
-Standards-Version: 4.2.1
-Homepage: http://kaffeine.kde.org
+ gettext,
+ gpg | gpg-from-sq,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://apps.kde.org/kaffeine/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaffeine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaffeine.git

## kaffeine 2.0.18+git20230226.439cd0d

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,16 +22,14 @@
   cmake_policy(SET CMP0063 NEW)
 endif(POLICY CMP0063)
 
-## workaround for ki18n 5.34.0++ changes (see BUG 379834)
 if(POLICY CMP0002)
-  cmake_policy(SET CMP0002 OLD)
+  cmake_policy(SET CMP0002 NEW)
 endif(POLICY CMP0002)
 
 find_package(Qt5Core)
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH
 	${ECM_MODULE_PATH}
-	${ECM_KDE_MODULE_DIR}
 	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
 )
 
@@ -72,7 +70,27 @@
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include ${CMAKE_BINARY_DIR} ${VLC_INCLUDE_DIRS}
+if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+  # FreeBSD has a fully-working v4l, but needs help finding it
+  unset(_dvb_headers)
+  find_package(Libdvbv5)
+  if (Libdvbv5_FOUND)
+    find_path(_dvb_headers
+      NAMES dmx.h
+      PATH_SUFFIXES dvb linux/dvb
+    )
+    if(_dvb_headers)
+      include_directories(${_dvb_headers})
+    endif()
+  endif()
+  if(NOT _dvb_headers)
+    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
+  endif()
+else()
+  # Linux (and others) have a weird copy of v4l headers to use
+  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
+endif()
+include_directories(${CMAKE_BINARY_DIR} ${VLC_INCLUDE_DIRS}
                     ${X11_Xscreensaver_INCLUDE_PATH})
 
 check_include_files(${CMAKE_CURRENT_SOURCE_DIR}/include/frontend.h HAVE_DVB)
@@ -95,25 +113,15 @@
 
 add_subdirectory(deviceactions)
 add_subdirectory(icons)
-add_subdirectory(profiles)
 add_subdirectory(src)
-if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
-  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/CMakeLists.txt" )
-    add_subdirectory(po)
-  else()
-    ki18n_install(po)
-  endif()
-endif()
+
+ki18n_install(po)
 
 if(KF5DocTools_VERSION)
   add_subdirectory(doc)
+  kdoctools_install(po)
 endif(KF5DocTools_VERSION)
 
 if(BUILD_TOOLS)
   add_subdirectory(tools)
 endif(BUILD_TOOLS)
-
-  find_package(KF5DocTools CONFIG)
-  if(KF5DocTools_FOUND)
-    kdoctools_install(po)
-  endif()

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -57,5 +57,5 @@
 	sc-status-audio-volume-muted.svg
 	sc-status-dialog-error.svg
 	sc-status-dialog-information.svg
-	DESTINATION ${ICON_INSTALL_DIR}
+	DESTINATION ${KDE_INSTALL_ICONDIR}
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
     target_link_libraries(kaffeine ${Libdvbv5_LIBRARIES})
 endif(HAVE_DVB)
 
-install(TARGETS kaffeine ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES scanfile.dvb DESTINATION ${DATA_INSTALL_DIR}/kaffeine)
-install(PROGRAMS org.kde.kaffeine.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(TARGETS kaffeine ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES scanfile.dvb DESTINATION ${KDE_INSTALL_DATADIR}/kaffeine)
+install(PROGRAMS org.kde.kaffeine.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kaffeine.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kaffeine (1:2.0.18+git20230226.439cd0d-1~mx25) mx; urgency=medium

  * Rebuild for MX due to reports of Trixie's being buggy, and add an epoch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Dec 2025 19:55:10 -0800

=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules (>= 1.0.0),
               gettext,
               libdvbv5-dev [linux-any],
               libkf5coreaddons-dev (>= 5.11.0),
               libkf5dbusaddons-dev (>= 5.11.0),
               libkf5doctools-dev (>= 5.41.0~),
               libkf5i18n-dev (>= 5.11.0),
               libkf5kio-dev (>= 5.11.0),
               libkf5solid-dev (>= 5.11.0),
               libkf5widgetsaddons-dev (>= 5.11.0),
               libkf5windowsystem-dev (>= 5.11.0),
               libkf5xmlgui-dev (>= 5.11.0),
               libqt5x11extras5-dev (>= 5.4.0),
               libudev-dev [linux-any],
               libvlc-dev,
               libx11-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kaffeine/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaffeine
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaffeine.git

Package: kaffeine
Architecture: any
Depends: iso-codes,
         kinit,
         libqt5sql5-sqlite,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE based on VLC, which gives it a wide variety
 of supported media types and lets Kaffeine access CDs, DVDs, and network
 streams easily.  Kaffeine also has an excellent support of digital TV (DVB).
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

.PHONY: override_dh_auto_test

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## kaffeine 2.0.18+p24.04+vstable+git20251015.0726

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20251015.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:26:52 +0000

kaffeine (2.0.18+git20250923.9f7aa80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 24 Sep 2025 06:55:22 +0000

kaffeine (2.0.18+git20250921.279411f-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 06:55:13 +0000

kaffeine (2.0.18+git20250920.3bb6b71-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 06:55:14 +0000

kaffeine (2.0.18+git20250919.d2774cb-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 19 Sep 2025 11:37:45 +0000

kaffeine (2.0.18+git20250916.1989c44-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 06:55:16 +0000

kaffeine (2.0.18+git20250909.680800a-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 07:36:14 +0000

kaffeine (2.0.18+git20250908.98e37ca-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 06:55:09 +0000

kaffeine (2.0.18+git20250902.9041727-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Sep 2025 06:55:10 +0000

kaffeine (2.0.18+git20250821.2e2e3f9-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 21 Aug 2025 06:55:17 +0000

kaffeine (2.0.18+git20250815.0a36369-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 06:57:14 +0000

kaffeine (2.0.18+git20250807.5adb671-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Aug 2025 06:55:55 +0000

kaffeine (2.0.18+git20250805.7028f91-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 06:55:14 +0000

kaffeine (2.0.18+git20250716.36f8889-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Jul 2025 06:55:10 +0000

kaffeine (2.0.18+git20250714.b1fc272-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Jul 2025 06:59:47 +0000

kaffeine (2.0.18+git20250525.3cfefe5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 May 2025 06:55:15 +0000

kaffeine (2.0.18+git20250514.9f96e11-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 May 2025 06:55:12 +0000

kaffeine (2.0.18+git20250401.79ded89-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 27 Apr 2025 06:55:10 +0000

kaffeine (2.0.18+git20250316.afc3f87-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 16 Mar 2025 06:55:10 +0000

kaffeine (2.0.18+git20250315.2a44f07-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Mar 2025 06:55:11 +0000

kaffeine (2.0.18+git20250308.3487d39-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 06:56:13 +0000

kaffeine (2.0.18+git20250222.effadaf-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Feb 2025 07:09:36 +0000

kaffeine (2.0.18+git20250201.e0aea04-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 01 Feb 2025 06:55:09 +0000

kaffeine (2.0.18+git20250130.4042f3a-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 30 Jan 2025 06:55:11 +0000

kaffeine (2.0.18+git20250128.a75f7f1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jan 2025 06:55:10 +0000

kaffeine (2.0.18+git20250126.51edbc2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 26 Jan 2025 06:55:11 +0000

kaffeine (2.0.18+git20250125.bcb66bf-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 25 Jan 2025 06:55:10 +0000

kaffeine (2.0.18+git20250124.ec7d472-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Jan 2025 06:55:09 +0000

kaffeine (2.0.18+git20250123.260f6c4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 23 Jan 2025 06:55:10 +0000

kaffeine (2.0.18+git20250122.6c44dbc-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 Jan 2025 06:55:10 +0000

kaffeine (2.0.18+git20250121.9b3f5a4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Jan 2025 06:55:11 +0000

kaffeine (2.0.18+git20250113.a60a972-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jan 2025 06:55:19 +0000

kaffeine (2.0.18+git20250110.7a4c4da-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jan 2025 06:55:20 +0000

kaffeine (2.0.18+git20241226.6a0f15c-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 26 Dec 2024 06:55:10 +0000

kaffeine (2.0.18+git20241225.ca8fb22-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Dec 2024 02:27:32 +0000

kaffeine (2.0.18+git20241221.56d6964-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Dec 2024 06:55:10 +0000

kaffeine (2.0.18+git20241217.f62ab95-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Dec 2024 06:55:10 +0000

kaffeine (2.0.18+git20241214.971b4fc-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 14 Dec 2024 06:55:12 +0000

kaffeine (2.0.18+git20241202.4b275f3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 02 Dec 2024 06:55:10 +0000

kaffeine (2.0.18+git20241125.45fd362-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 28 Nov 2024 06:55:09 +0000

kaffeine (2.0.18+git20241107.316db59-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 06:55:09 +0000



=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libdvbv5-dev [linux-any],
               libudev-dev [linux-any],
               libvlc-dev,
               libx11-dev,
               libxss-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kaffeine/
Vcs-Git: https://invent.kde.org/neon/extras/kaffeine.git
Vcs-Browser: https://invent.kde.org/neon/extras/kaffeine
Maintainer: Neon CI <neon@kde.org>

Package: kaffeine
Architecture: any
Depends: iso-codes,
         libqt5sql5-sqlite,
         vlc-plugin-base,
         vlc-plugin-video-output,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE based on VLC, which gives it a wide variety
 of supported media types and lets Kaffeine access CDs, DVDs, and network
 streams easily.  Kaffeine also has an excellent support of digital TV (DVB).
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf6 --buildsystem kf6

## kaffeine 2.0.18+p24.04+vstable+git20251019.0343

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20251019.0343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:43:35 +0000

## kaffeine 2.0.18+p24.04+vstable+git20251215.0318

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20251215.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:18:35 +0000

## kaffeine 2.0.18+p24.04+vstable+git20251226.1212

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20251226.1212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 12:12:50 +0000

## kaffeine 2.0.18+p24.04+vstable+git20260109.0256

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20260109.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 02:56:59 +0000

## kaffeine 2.0.18+p24.04+vstable+git20260126.1110

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20260126.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:10:07 +0000

## kaffeine 2.0.18+p24.04+vstable+git20260131.0426

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vstable+git20260131.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:26:46 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20250926.0757

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20250926.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 07:57:56 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20251015.0730

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20251015.0730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:30:44 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20251021.0237

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20251021.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:37:58 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20251201.0310

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20251201.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:10:17 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20251206.0632

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20251206.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:33:03 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20260123.0123

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20260123.0123-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 01:23:24 +0000

## kaffeine 2.0.18+p24.04+vunstable+git20260131.0112

=== debian/changelog ===
kaffeine (2.0.18+p24.04+vunstable+git20260131.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:13:02 +0000

## kaffeine 2.0.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
+cmake_minimum_required(VERSION 3.16)
+
 project(kaffeine)
 
 set(KAFFEINE_MAJOR_VERSION 2)
 set(KAFFEINE_MINOR_VERSION 0)
-set(KAFFEINE_PATCH_VERSION 18)
+set(KAFFEINE_PATCH_VERSION 19)
 
 # comment/uuncomment below if either the version is a production or a development one
 #set(KAFFEINE_EXTRA_VERSION -git)
@@ -12,19 +14,8 @@
 
 option(BUILD_TOOLS "Build the helper tools" OFF)
 
-# Minimal versions where build is known to work
-cmake_minimum_required(VERSION 2.8.12)
 set(QT_MIN_VERSION "5.4.0")
 set(KF5_MIN_VERSION "5.11.0")
-
-# shut up cmake warnings about newer policies
-if(POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW)
-endif(POLICY CMP0063)
-
-if(POLICY CMP0002)
-  cmake_policy(SET CMP0002 NEW)
-endif(POLICY CMP0002)
 
 find_package(Qt5Core)
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)

=== deviceactions/CMakeLists.txt ===
set(solid_actions
    kaffeine_play_audiocd.desktop
    kaffeine_play_dvd.desktop
    kaffeine_play_videocd.desktop)

install(FILES ${solid_actions} DESTINATION ${KDE_INSTALL_DATADIR}/solid/actions)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kaffeine)
kdoctools_create_manpage (man-kaffeine.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== debian/changelog ===
kaffeine (2.0.19-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release.
  * Switch to use the upstream tags: it looks like there are new releases,
    however no release tarballs.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.2, no changes required.

  [ Aurélien COUDERC ]
  * Fix license of app metadata.
  * Update email of KDE Extras Team.

 -- Pino Toscano <pino@debian.org>  Thu, 10 Apr 2025 04:50:36 +0200

=== debian/control ===
Source: kaffeine
Section: video
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.16~),
 pkg-kde-tools (>= 0.15.16),
 pkgconf,
 extra-cmake-modules (>= 1.0.0),
 qtbase5-dev (>= 5.4.0),
 libqt5x11extras5-dev (>= 5.4.0),
 libkf5coreaddons-dev (>= 5.11.0),
 libkf5doctools-dev (>= 5.41.0~),
 libkf5dbusaddons-dev (>= 5.11.0),
 libkf5i18n-dev (>= 5.11.0),
 libkf5kio-dev (>= 5.11.0),
 libkf5solid-dev (>= 5.11.0),
 libkf5widgetsaddons-dev (>= 5.11.0),
 libkf5windowsystem-dev (>= 5.11.0),
 libkf5xmlgui-dev (>= 5.11.0),
 libvlc-dev,
 libx11-dev, libxss-dev,
 libdvbv5-dev [linux-any], libudev-dev [linux-any],
 gettext,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kaffeine/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kaffeine
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kaffeine.git

Package: kaffeine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 kinit,
 iso-codes,
 libqt5sql5-sqlite,
 vlc-plugin-base, vlc-plugin-video-output
Suggests: libdvdcss2
Description: versatile media player for KDE
 Kaffeine is a media player for KDE based on VLC, which gives it a wide variety
 of supported media types and lets Kaffeine access CDs, DVDs, and network
 streams easily.  Kaffeine also has an excellent support of digital TV (DVB).
 .
 Kaffeine can keep track of multiple playlists simultaneously, and supports
 autoloading of subtitle files for use while playing video.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kf5

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

opts="mode=git, gitmode=full, pgpmode=none" \
https://invent.kde.org/multimedia/kaffeine.git \
refs/tags/v@ANY_VERSION@
